## exaile 0.2.14+debian

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PREFIX ?= /usr/local
 LIBDIR ?= /lib
-FIREFOX ?= /usr/lib/firefox
 
 all: compile mmkeys.so translations
 	@echo "Done"
 	@echo "Type: 'make install' now"
 
 compile:
+	-bzr version-info --format=python > xl/version.py
 	python -m compileall xl lib
 	python -O -m compileall xl lib
 
@@ -69,13 +69,14 @@
 	  /bin/echo -e \
 	    "#!/bin/sh\n" \
 	    "cd $(PREFIX)/share/exaile\n" \
-	    "export LD_LIBRARY_PATH=\$$LD_LIBRARY_PATH:$(FIREFOX)\n" \
-		"export MOZILLA_FIVE_HOME=$(FIREFOX)\n" \
 	    "exec python $(PREFIX)$(LIBDIR)/exaile/exaile.py \"\$$@\"" \
 	    > exaile && \
 	  chmod 755 exaile
 	for f in `find po -name exaile.mo` ; do \
-	  install -D -m 644 $$f \
+	  install -d -m 755 \
+	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|" | \
+	      xargs dirname` && \
+	  install -m 644 $$f \
 	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/locale|"` ; \
 	  done
 
@@ -87,7 +88,7 @@
 	rm -f exaile.glade.h messages.pot plugins/plugins.glade.h
 
 tarball: clean
-	tar --exclude .svn -czvf ../exaile.tar.gz ../exaile
+	tar --exclude .bzr -czvf ../exaile.tar.gz ../exaile
 
 uninstall:
 	rm -rf $(DESTDIR)$(PREFIX)/share/exaile
