## exaile 0.3.2.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 .PHONY: dist test coverage clean sanitycheck
 
-all: compile locale
+all: compile locale manpage
 	@echo "Ready to install..."
 
 # The no_locale stuff is by request of BSD people, please ensure
@@ -29,10 +29,12 @@
 	mkdir -p $(EXAILELIBDIR)/xl/player
 	mkdir -p $(EXAILELIBDIR)/xl/migrations
 	mkdir -p $(EXAILELIBDIR)/xl/migrations/database
+	mkdir -p $(EXAILELIBDIR)/xl/migrations/settings
 	mkdir -p $(EXAILELIBDIR)/xl/trax
 	mkdir -p $(EXAILELIBDIR)/xlgui
 	mkdir -p $(EXAILELIBDIR)/xlgui/panel
-	mkdir -p $(EXAILELIBDIR)/xlgui/prefs
+	mkdir -p $(EXAILELIBDIR)/xlgui/preferences
+	mkdir -p $(EXAILELIBDIR)/xlgui/widgets
 	mkdir -p $(EXAILESHAREDIR)
 	mkdir -p $(EXAILESHAREDIR)/data
 	mkdir -p $(EXAILESHAREDIR)/data/images/16x16
@@ -42,10 +44,13 @@
 	mkdir -p $(EXAILESHAREDIR)/data/images/48x48
 	mkdir -p $(EXAILESHAREDIR)/data/images/scalable
 	mkdir -p $(EXAILESHAREDIR)/data/ui
+	mkdir -p $(EXAILESHAREDIR)/data/ui/preferences
+	mkdir -p $(EXAILESHAREDIR)/data/ui/widgets
 	mkdir -p $(EXAILESHAREDIR)/data/migrations
 	mkdir -p $(EXAILESHAREDIR)/data/migrations/migration_200907100931
 	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
 	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
+	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
 	mkdir -p $(EXAILECONFDIR)
 
 uninstall:
@@ -55,6 +60,7 @@
 	rm -rf $(EXAILECONFDIR)/exaile
 	rm -f $(DESTDIR)$(PREFIX)/share/applications/exaile.desktop
 	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
+	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/exaile.1.gz
 	$(MAKE) -C plugins uninstall
 
 install: install-target install-locale
@@ -73,14 +79,18 @@
 	install -m 644 xl/migrations/*.py $(EXAILELIBDIR)/xl/migrations
 	-install -m 644 xl/migrations/database/*.py[co] $(EXAILELIBDIR)/xl/migrations/database/
 	install -m 644 xl/migrations/database/*.py $(EXAILELIBDIR)/xl/migrations/database/
+	-install -m 644 xl/migrations/settings/*.py[co] $(EXAILELIBDIR)/xl/migrations/settings/
+	install -m 644 xl/migrations/settings/*.py $(EXAILELIBDIR)/xl/migrations/settings/
 	-install -m 644 xl/trax/*.py[co] $(EXAILELIBDIR)/xl/trax
 	install -m 644 xl/trax/*.py $(EXAILELIBDIR)/xl/trax
 	-install -m 644 xlgui/*.py[co] $(EXAILELIBDIR)/xlgui
 	install -m 644 xlgui/*.py $(EXAILELIBDIR)/xlgui
 	-install -m 644 xlgui/panel/*.py[co] $(EXAILELIBDIR)/xlgui/panel
 	install -m 644 xlgui/panel/*.py $(EXAILELIBDIR)/xlgui/panel
-	-install -m 644 xlgui/prefs/*.py[co] $(EXAILELIBDIR)/xlgui/prefs
-	install -m 644 xlgui/prefs/*.py $(EXAILELIBDIR)/xlgui/prefs
+	-install -m 644 xlgui/preferences/*.py[co] $(EXAILELIBDIR)/xlgui/preferences
+	install -m 644 xlgui/preferences/*.py $(EXAILELIBDIR)/xlgui/preferences
+	-install -m 644 xlgui/widgets/*.py[co] $(EXAILELIBDIR)/xlgui/widgets
+	install -m 644 xlgui/widgets/*.py $(EXAILELIBDIR)/xlgui/widgets
 	install -m 644 data/images/16x16/*.png $(EXAILESHAREDIR)/data/images/16x16
 	install -m 644 data/images/22x22/*.png $(EXAILESHAREDIR)/data/images/22x22
 	install -m 644 data/images/24x24/*.png $(EXAILESHAREDIR)/data/images/24x24
@@ -91,20 +101,21 @@
 	install -m 644 data/images/48x48/exaile.png \
 		$(DESTDIR)$(PREFIX)/share/pixmaps/exaile.png
 	install -m 644 data/ui/*.ui $(EXAILESHAREDIR)/data/ui
+	install -m 644 data/ui/preferences/*.ui $(EXAILESHAREDIR)/data/ui/preferences
+	install -m 644 data/ui/widgets/*.ui $(EXAILESHAREDIR)/data/ui/widgets
 	install -m 644 data/migrations/*.py $(EXAILESHAREDIR)/data/migrations/
 	install -m 644 data/migrations/migration_200907100931/*.py \
 	    	$(EXAILESHAREDIR)/data/migrations/migration_200907100931/
 	install -m 644 data/exaile.desktop \
 		$(DESTDIR)$(PREFIX)/share/applications/	
+	-install -m 644 exaile.1.gz $(DESTDIR)$(PREFIX)/share/man/man1/
 	install -m 644 data/config/settings.ini $(EXAILECONFDIR)
-	# 2010-03-12 danfuhry: moved this to an external script to clean up syntax
-	# and avoid makefile limitations
-	tools/generate-launcher "$(DESTDIR)" "$(PREFIX)" "$(LIBINSTALLDIR)"
-	chmod 755 $(DESTDIR)$(PREFIX)/bin/exaile
+	tools/generate-launcher "$(DESTDIR)" "$(PREFIX)" "$(LIBINSTALLDIR)" && \
+	  chmod 755 $(DESTDIR)$(PREFIX)/bin/exaile
 	$(MAKE) -C plugins install
 
 locale:
-	cd po && find . -name "*.po" -exec ../tools/compilepo.sh {} \; && cd ..
+	$(MAKE) -C po locale
 
 install-locale:
 	for f in `find po -name exaile.mo` ; do \
@@ -118,22 +129,33 @@
 plugins_dist:
 	$(MAKE) -C plugins dist
 
+# The sed call in -h removes the indent from group headers to work around
+# help2man's incompatibility with optparse's grouping.
+# The sed call in -v removes the ASCII art from Exaile's --version and
+# prints out the proper "$program $version" text.
+manpage:
+	help2man -n "music manager and player" -N \
+	  -h './exaile --help | sed "s/^  //"' \
+	  -v './exaile --version | sed -n "4 s/.* v\\(.*\\)/exaile \\1/ p"' \
+	  ./exaile \
+	  | gzip -9 > exaile.1.gz
 
 clean:
 	-find . -name "*.~[0-9]~" -exec rm -f {} \;
 	-find . -name "*.py[co]" -exec rm -f {} \;
 	find po/* -depth -type d -exec rm -r {} \;
+	rm -f exaile.1.gz
 	$(MAKE) -C plugins clean
 
-# The [type: gettext/glade] helps intltool recognize .ui files as glade format
+# The "[type: gettext/glade]" helps intltool recognize .ui files as glade format
 pot:
 	echo "[encoding: UTF-8]" > po/POTFILES.in && \
 	  find xl -name "*.py" >> po/POTFILES.in && \
 	  find xlgui -name "*.py" >> po/POTFILES.in && \
 	  find data/ui/ -name "*.ui" | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
-	  find plugins -name "*.py" >> po/POTFILES.in && \
-	  find plugins -name "*.ui" | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
-	  find plugins -name PLUGININFO >> po/POTFILES.in && \
+	  find plugins -name "*.py" | grep -v treeviewtest >> po/POTFILES.in && \
+	  find plugins -name "*.ui" | grep -v treeviewtest | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
+	  find plugins -name PLUGININFO | grep -v treeviewtest >> po/POTFILES.in && \
 	  cd po && XGETTEXT_ARGS="--language=Python --add-comments=TRANSLATORS" \
 	    intltool-update --pot --gettext-package=messages --verbose && cd ..
