=== debian/changelog ===
exaile (0.3.2.0-0ubuntu3) maverick; urgency=low

  * debian/control: Fix typo in package description. (LP: #621583)
  * debian/patches/jamendo_plugin_fix.diff:
   - Update Jamendo plugin for internal API changes and add
     missing import. Backported from upstream (LP: #624948).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 21 Aug 2010 01:57:06 -0400

exaile (0.3.2.0-0ubuntu2) maverick; urgency=low

  * debian/control:
   - Bump Standards-Version to 3.9.1.
   - Explicitly depend on python-gobject (>= 2.18).
   - Drop depricated python-glade2 depends.
   - No need for plugins to depend on packages that exaile
     itself already depends on.
   - Update package descriptions.
  * Convert to DebSrc format 3.0.
  * Convert to dh7.
  * Drop un-needed pyversions file.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 20 Aug 2010 23:45:07 -0400

exaile (0.3.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/exaile.1, debian/exaile.manpages: Drop manpage, now
    provided by upstream.
  * debian/control:
   - Versionize python-gtk2 Depends (>= 2.17).
   - Drop redundant gstreamer0.10-plugins-base Depends as we
     already Depend on gstreamer0.10-plugins-good.
   - Build-Depend on help2man and python-gtk2 (exaile.py is called
     and glib must be imported while building the manpage).
  * debian/exaile.install: Install manpage and shutdown plugin. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 Jun 2010 16:38:26 -0400

exaile (0.3.1.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.

  * debian/exaile.1, debian/exaile.manpages: Include and
    install manpage for exaile based on help2man output
    but including additions and tweaks.
  * debian/source/format: Add a file conataining "1.0"
    to make lintian happy. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 12 Apr 2010 20:46:51 -0400

exaile (0.3.1.0-0ubuntu2) lucid; urgency=low

  * Fix typo in 10_ubuntu_defaults.patch introduced in
    last upload. (LP: #548732) 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 26 Mar 2010 11:52:03 -0400

exaile (0.3.1.0-0ubuntu1) lucid; urgency=low

  * New upsream release.
  * exaile.install: Install exfalso, currentsong, and
    lyricwiki plugins.
  * debian/control: Suggest exfalso.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 24 Mar 2010 23:34:17 -0400

exaile (0.3.1~b1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Adjust exaile.install for new plugins.
  * debian/control:
   - Drop unneeded python-dev Build-Dep.
   - Bump Standards-Version to 3.8.4 
  * debian/rules: No empty po files to delete.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 12 Feb 2010 19:51:01 -0500

exaile (0.3.0.2-0ubuntu1) lucid; urgency=low

  * New upstream bug-fix release:
   - The contextinfo plugin now works with newer 
     versions of webkit. (LP: #427064)
   - A bug in the collection panel affecting expansion
     of items containing quote marks was fixed.
   - Non-ascii characters are now ordered correctly in
     the collection panel. (LP: #309394)
  * debian/patches: Remove un-needed series file. We use simple-patchsys.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 09 Nov 2009 23:09:35 -0500

exaile (0.3.0.1-0ubuntu6) karmic; urgency=low

  * debian/control: Add dependency on librsvg2-common. (LP: #445279)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 08 Oct 2009 00:13:55 -0400

exaile (0.3.0.1-0ubuntu5) karmic; urgency=low

  * debian/control: Add python-mmkeys Recommends for
    xkeys plugin. (LP: #441844)
  * debian/patches/10_notify-osd_by_default.patch renamed
    10_ubuntu_defaults.patch.
   - Prefer local covers to not over write them.
   - Set default import format.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 05 Oct 2009 17:22:46 -0400

exaile (0.3.0.1-0ubuntu4) karmic; urgency=low

  * libwebkit-1.0-1 -> libwebkit-1.0-2 transition.
  * debian/control:
   - Drop redundant libwebkit dependency for contextinfo plugin,
     python-webkit dep already pulls it in.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 03 Oct 2009 13:21:17 -0400

exaile (0.3.0.1-0ubuntu3) karmic; urgency=low

  * debian/exaile.install: Install notify and notify-osd plugins.
  * debian/control: 
   - Add Recommends on python-notify and Suggests on notify-osd
     and ipython.
   - Add python-imaging Depends for exaile-plugin-contextinfo.
  * debian/patches/10_notify-osd_by_default.patch: (LP: #397210)
   - Enable Notify-OSD plugin by default as Exaile is part of the
     default Xubuntu desktop.  

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 24 Sep 2009 23:34:45 -0400

exaile (0.3.0.1-0ubuntu2) karmic; urgency=low

  * debian/rules: Remove empty PO files to resolve FTBFS. (LP: #420019)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 Sep 2009 12:40:59 -0400

exaile (0.3.0.1-0ubuntu1) karmic; urgency=low

  * New upstream release, complete rewrite. (LP: #420019)
  * debian/*: Packaging rewrite based on upstream packaging.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 12 Sep 2009 17:02:32 -0400

exaile (0.2.14+debian-2ubuntu3) karmic; urgency=low

  * debian/control:
   - Drop gstreamer0.10-plugins-ugly and gstreamer0.10-plugins-bad to suggests
     from recommends.

 -- Cody A.W. Somerville <cody-somerville@ubuntu.com>  Thu, 13 Aug 2009 10:37:44 -0300

exaile (0.2.14+debian-2ubuntu2) karmic; urgency=low

  * debian/rules: 
   - Really delete feedparser.py and win32-mmkeys.py in Ubuntu
  * debian/patches/000-Do_not_download_remote_plugins.diff:
   - Disable all update checking. As we disable the ability to
     download updates, we shouldn't throw pop-ups about them.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 06 Jun 2009 19:23:09 -0400

exaile (0.2.14+debian-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #382852), remaining changes:
    - debian/control:
      + Add XS/XB-Python-Version

