=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Vcs-Browser: http://bazaar.launchpad.net/~exaile-packagers/exaile/ubuntu/files
Vcs-Bzr: https://code.launchpad.net/~exaile-packagers/exaile/ubuntu
Homepage: http://www.exaile.org/
Build-Depends: debhelper (>= 7.0.50~),
    help2man
Build-Depends-Indep: python-support (>= 0.5.3),
    python (>= 2.5),
    python-gtk2
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1

Package: exaile
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    python (>= 2.5),
    python-gst0.10,
    gstreamer0.10-plugins-good,
    python-mutagen,
    python-dbus,
    python-gtk2 (>= 2.17),
    python-gobject (>= 2.18),
    librsvg2-common
Recommends: hal,
    python-sexy,
    python-cddb,
    python-notify,
    python-mmkeys
Suggests: gstreamer0.10-plugins-bad,
    gstreamer0.10-plugins-bad-multiverse,
    gstreamer0.10-plugins-ugly,
    gstreamer0.10-plugins-ugly-multiverse,
    gstreamer0.10-ffmpeg,
    exaile-plugin-contextinfo,
    exaile-plugin-ipod,
    notify-osd,
    streamripper,
    ipython,
    exfalso
Description: full featured music player written for GTK+
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.

Package: exaile-plugin-contextinfo
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    exaile (>= 0.3.0),
    python-webkit (>= 1.1.2),
    python-imaging
Description: Exaile plugin for contextual information
 This Exaile plugin adds a sidepanel for contextual information based on
 the Exaile internal tags and statistics, on lyrics plugins, and on the LastFM
 API.
 .
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.

Package: exaile-plugin-ipod
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    exaile (>= 0.3.0),
    python-gpod,
    hal
Description: Exaile plugin for iPod support
 This Exaile plugin adds support for the iPod portable media players in the
 Exaile device manager.
 .
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.

Package: exaile-plugin-moodbar
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    exaile (>= 0.3.0),
    moodbar
Description: Exaile plugin for moodbar
 This Exaile plugin turns the progress bar of the tracks into a bar which
 color depends on the tracks' mood.
 .
 Exaile is a music manager and player aiming for speed, simplicity
 and intuitive usage while offering rich features at the same time.
 Its features include tabbed playlists, ReplayGain, an equalizer,
 automatic fetching of album art and lyrics, Last.fm support, and
 advanced tag editing.
 .
 Originally conceived to be similar in style and function to KDE's
 Amarok 1, Exaile uses the GTK+ widget toolkit. It is written in
 Python, utilizing the GStreamer media framework.
