=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Don't run test suite.
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr
	dh_install debian/exaile.xpm usr/share/pixmaps
	find -iname "COPYING" | xargs rm
	dh_install

override_dh_pysupport:
	dh_pysupport -pexaile
	dh_pysupport -pexaile-plugin-contextinfo /usr/share/exaile/plugins/
	dh_pysupport -pexaile-plugin-ipod /usr/share/exaile/plugins/
	dh_pysupport -pexaile-plugin-moodbar /usr/share/exaile/plugins/
