=== debian/watch ===
version=3
https://launchpad.net/exaile/+download http://launchpad.net/exaile/.*/exaile-(.*)\.tar\.gz
