## exaile 0.3.2.1

=== debian/changelog ===
exaile (0.3.2.1-0buntu1) natty; urgency=low

  * New upstream release (LP: #714484, LP: #630221).
  * Drop debian/patches/jamendo_plugin_fix.diff,
    fixed upstream.
  * debian/patches/10_ubuntu_defaults.diff:
   - Don't enable shoutcast plugin.
  * debian/exaile.install: Don't install shoutcast plugin.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 13 Feb 2011 12:33:27 -0500
